Bug 181498 - usage of libblkid in showlabels hangs opening /dev/fd0
usage of libblkid in showlabels hangs opening /dev/fd0
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-02-14 12:33 EST by Bill Nottingham
Modified: 2014-03-16 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.28-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-27 11:14:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-02-14 12:33:45 EST
new-kernel-pkg hangs running echo "showlabels" | nash --force --quiet.

This is because libblkid is trying to open the (currently empty) /dev/fd0.


Feel free to move to e2fsprogs.
Comment 1 Peter Jones 2006-02-23 11:22:54 EST
Ok, so now it doesn't look at fd*.  But that's not a good general solution --
what should be the rule here?  No "removable" devices?
Comment 2 Bill Nottingham 2006-02-23 11:35:02 EST
The tongue-in-cheek answer is 'nothing with side effects'.

Removable might be a good criteria, however, I suspect that will eliminate
USB/firewire, which may not be what you want.

You could iterate and short-circuit when you found the requested label, but that
would require a C implementation.

Possibly check the media type? Or is that not available?
Comment 3 Peter Jones 2006-02-27 11:14:36 EST
USB hard disks at least don't show up as removable, so I went with that.

Note You need to log in before you can comment on or make changes to this bug.